Project

General

Profile

Actions

Bug #5597

closed

ruby build isn't completely VPATH friendly

Added by ro (Rainer Orth) about 11 years ago. Updated about 11 years ago.

Status:
Closed
Priority:
Normal
Assignee:
-
Target version:
-
ruby -v:
ruby 1.9.2p290 (2011-07-09 revision 32553) [sparc-solaris2.10]
Backport:
[ruby-core:40843]

Description

While a VPATH build of ruby 1.9.2-p290 on Solaris 10 basically worked fine, I got
a couple of warnings that could (and should) be avoided:

During the doxygen step, I get

/vol/src/ruby/ruby-1.9.2-p290/ext/ripper/ripper.y:18: Warning: include file ruby/ruby.h not found, perhaps you forgot to add its directory to INCLUDE_PATH?

and several more similar warnings. They can be avoided by pointing doxygen at the
source directory like this:

INCLUDE_PATH = /vol/src/ruby/ruby-1.9.2-p290 /vol/src/ruby/ruby-1.9.2-p290/include

Actions #1

Updated by nobu (Nobuyoshi Nakada) about 11 years ago

  • Status changed from Open to Closed
  • % Done changed from 0 to 100

This issue was solved with changeset r33683.
Rainer, thank you for reporting this issue.
Your contribution to Ruby is greatly appreciated.
May Ruby be with you.


Actions

Also available in: Atom PDF

Like0
Like0